
_Comm_Delay:

;DS18B20_Get_ID.c,53 :: 		void Comm_Delay() {Delay_us(10);}       // You can experiment with this delay
	MOVLW       26
	MOVWF       R13, 0
L_Comm_Delay0:
	DECFSZ      R13, 1, 1
	BRA         L_Comm_Delay0
	NOP
L_end_Comm_Delay:
	RETURN      0
; end of _Comm_Delay

_Delay_10:

;DS18B20_Get_ID.c,54 :: 		void Delay_10()   {Delay_ms(10);}
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_Delay_101:
	DECFSZ      R13, 1, 1
	BRA         L_Delay_101
	DECFSZ      R12, 1, 1
	BRA         L_Delay_101
	NOP
L_end_Delay_10:
	RETURN      0
; end of _Delay_10

_Delay_20:

;DS18B20_Get_ID.c,55 :: 		void Delay_20()   {Delay_ms(20);}
	MOVLW       208
	MOVWF       R12, 0
	MOVLW       201
	MOVWF       R13, 0
L_Delay_202:
	DECFSZ      R13, 1, 1
	BRA         L_Delay_202
	DECFSZ      R12, 1, 1
	BRA         L_Delay_202
	NOP
	NOP
L_end_Delay_20:
	RETURN      0
; end of _Delay_20

_Delay_200:

;DS18B20_Get_ID.c,56 :: 		void Delay_200()  {Delay_ms(200);}
	MOVLW       9
	MOVWF       R11, 0
	MOVLW       30
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_Delay_2003:
	DECFSZ      R13, 1, 1
	BRA         L_Delay_2003
	DECFSZ      R12, 1, 1
	BRA         L_Delay_2003
	DECFSZ      R11, 1, 1
	BRA         L_Delay_2003
	NOP
L_end_Delay_200:
	RETURN      0
; end of _Delay_200

_Delay_100:

;DS18B20_Get_ID.c,57 :: 		void Delay_100()  {Delay_ms(100);}
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_Delay_1004:
	DECFSZ      R13, 1, 1
	BRA         L_Delay_1004
	DECFSZ      R12, 1, 1
	BRA         L_Delay_1004
	DECFSZ      R11, 1, 1
	BRA         L_Delay_1004
L_end_Delay_100:
	RETURN      0
; end of _Delay_100

_Delay_500:

;DS18B20_Get_ID.c,58 :: 		void Delay_500()  {Delay_ms(500);}
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_Delay_5005:
	DECFSZ      R13, 1, 1
	BRA         L_Delay_5005
	DECFSZ      R12, 1, 1
	BRA         L_Delay_5005
	DECFSZ      R11, 1, 1
	BRA         L_Delay_5005
	NOP
L_end_Delay_500:
	RETURN      0
; end of _Delay_500

_getSlaveROM:

;DS18B20_Get_ID.c,60 :: 		void getSlaveROM(){
;DS18B20_Get_ID.c,62 :: 		INTCON.GIE = 0;
	BCF         INTCON+0, 7 
;DS18B20_Get_ID.c,63 :: 		Ow_Reset(&PORTE, 2);                         // Onewire reset signal
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;DS18B20_Get_ID.c,64 :: 		Delay_us(140);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       115
	MOVWF       R13, 0
L_getSlaveROM6:
	DECFSZ      R13, 1, 1
	BRA         L_getSlaveROM6
	DECFSZ      R12, 1, 1
	BRA         L_getSlaveROM6
;DS18B20_Get_ID.c,65 :: 		Ow_Write(&PORTE, 2, 0x33);                   // Issue command READ_ROM
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       51
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS18B20_Get_ID.c,66 :: 		Delay_us(140);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       115
	MOVWF       R13, 0
L_getSlaveROM7:
	DECFSZ      R13, 1, 1
	BRA         L_getSlaveROM7
	DECFSZ      R12, 1, 1
	BRA         L_getSlaveROM7
;DS18B20_Get_ID.c,67 :: 		for(i=0; i<8; i++)SlaveROM[i] =  Ow_Read(&PORTE, 2);   // LSB first
	CLRF        getSlaveROM_i_L0+0 
L_getSlaveROM8:
	MOVLW       8
	SUBWF       getSlaveROM_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getSlaveROM9
	MOVLW       _SlaveROM+0
	MOVWF       FLOC__getSlaveROM+0 
	MOVLW       hi_addr(_SlaveROM+0)
	MOVWF       FLOC__getSlaveROM+1 
	MOVF        getSlaveROM_i_L0+0, 0 
	ADDWF       FLOC__getSlaveROM+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__getSlaveROM+1, 1 
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVFF       FLOC__getSlaveROM+0, FSR1
	MOVFF       FLOC__getSlaveROM+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	INCF        getSlaveROM_i_L0+0, 1 
	GOTO        L_getSlaveROM8
L_getSlaveROM9:
;DS18B20_Get_ID.c,68 :: 		INTCON.GIE = 1;
	BSF         INTCON+0, 7 
;DS18B20_Get_ID.c,69 :: 		for(i=0; i<8; i++)EEPROM_write(i+EEPROM_offset, SlaveROM[i]);   // LSB first
	CLRF        getSlaveROM_i_L0+0 
L_getSlaveROM11:
	MOVLW       8
	SUBWF       getSlaveROM_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getSlaveROM12
	MOVLW       48
	ADDWF       getSlaveROM_i_L0+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVLW       _SlaveROM+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_SlaveROM+0)
	MOVWF       FSR0H 
	MOVF        getSlaveROM_i_L0+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	INCF        getSlaveROM_i_L0+0, 1 
	GOTO        L_getSlaveROM11
L_getSlaveROM12:
;DS18B20_Get_ID.c,70 :: 		}
L_end_getSlaveROM:
	RETURN      0
; end of _getSlaveROM

_getDS18B20:

;DS18B20_Get_ID.c,72 :: 		void getDS18B20(){
;DS18B20_Get_ID.c,74 :: 		INTCON.GIE = 0;
	BCF         INTCON+0, 7 
;DS18B20_Get_ID.c,75 :: 		Ow_Reset(&PORTE, 2);                      // Onewire reset signal
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;DS18B20_Get_ID.c,76 :: 		Delay_us(140);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       115
	MOVWF       R13, 0
L_getDS18B2014:
	DECFSZ      R13, 1, 1
	BRA         L_getDS18B2014
	DECFSZ      R12, 1, 1
	BRA         L_getDS18B2014
;DS18B20_Get_ID.c,77 :: 		Ow_Write(&PORTE, 2, 0xCC);                // Issue command SKIP_ROM
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS18B20_Get_ID.c,78 :: 		Ow_Write(&PORTE, 2, 0x44);                // Issue command CONVERT_T
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       68
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS18B20_Get_ID.c,80 :: 		Ow_Reset(&PORTE, 2);
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;DS18B20_Get_ID.c,81 :: 		Delay_us(140);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       115
	MOVWF       R13, 0
L_getDS18B2015:
	DECFSZ      R13, 1, 1
	BRA         L_getDS18B2015
	DECFSZ      R12, 1, 1
	BRA         L_getDS18B2015
;DS18B20_Get_ID.c,83 :: 		Ow_Write(&PORTE, 2, 0xCC);                // Issue command SKIP_ROM
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS18B20_Get_ID.c,84 :: 		Ow_Write(&PORTE, 2, 0xBE);                // Issue command READ_SCRATCHPAD
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       190
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;DS18B20_Get_ID.c,85 :: 		temp =  Ow_Read(&PORTE, 2);
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       getDS18B20_temp_L0+0 
	MOVLW       0
	MOVWF       getDS18B20_temp_L0+1 
;DS18B20_Get_ID.c,86 :: 		temp = (Ow_Read(&PORTE, 2) << 8) + temp;
	MOVLW       PORTE+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVLW       2
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R3 
	CLRF        R2 
	MOVF        getDS18B20_temp_L0+0, 0 
	ADDWF       R2, 0 
	MOVWF       R0 
	MOVF        getDS18B20_temp_L0+1, 0 
	ADDWFC      R3, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       getDS18B20_temp_L0+0 
	MOVF        R1, 0 
	MOVWF       getDS18B20_temp_L0+1 
;DS18B20_Get_ID.c,87 :: 		temperature = (temp & 0x000F) * (.0625);  // get decimal part
	MOVLW       15
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
	CALL        _Word2Double+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       123
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__getDS18B20+0 
	MOVF        R1, 0 
	MOVWF       FLOC__getDS18B20+1 
	MOVF        R2, 0 
	MOVWF       FLOC__getDS18B20+2 
	MOVF        R3, 0 
	MOVWF       FLOC__getDS18B20+3 
	MOVF        FLOC__getDS18B20+0, 0 
	MOVWF       _temperature+0 
	MOVF        FLOC__getDS18B20+1, 0 
	MOVWF       _temperature+1 
	MOVF        FLOC__getDS18B20+2, 0 
	MOVWF       _temperature+2 
	MOVF        FLOC__getDS18B20+3, 0 
	MOVWF       _temperature+3 
;DS18B20_Get_ID.c,88 :: 		temperature = (temperature + (temp >> 4)) * 9 / 5 + 32;
	MOVF        getDS18B20_temp_L0+0, 0 
	MOVWF       R0 
	MOVF        getDS18B20_temp_L0+1, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	CALL        _Word2Double+0, 0
	MOVF        FLOC__getDS18B20+0, 0 
	MOVWF       R4 
	MOVF        FLOC__getDS18B20+1, 0 
	MOVWF       R5 
	MOVF        FLOC__getDS18B20+2, 0 
	MOVWF       R6 
	MOVF        FLOC__getDS18B20+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       16
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       32
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       132
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _temperature+0 
	MOVF        R1, 0 
	MOVWF       _temperature+1 
	MOVF        R2, 0 
	MOVWF       _temperature+2 
	MOVF        R3, 0 
	MOVWF       _temperature+3 
;DS18B20_Get_ID.c,90 :: 		INTCON.GIE = 1;
	BSF         INTCON+0, 7 
;DS18B20_Get_ID.c,91 :: 		}
L_end_getDS18B20:
	RETURN      0
; end of _getDS18B20

_Display_It:

;DS18B20_Get_ID.c,93 :: 		void Display_It(){
;DS18B20_Get_ID.c,96 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;DS18B20_Get_ID.c,97 :: 		byteToStr(EEPROM_offset, tmp);
	MOVLW       48
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       Display_It_tmp_L0+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(Display_It_tmp_L0+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;DS18B20_Get_ID.c,98 :: 		Lcd_Out(1, 14, tmp);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       Display_It_tmp_L0+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(Display_It_tmp_L0+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;DS18B20_Get_ID.c,99 :: 		i = temperature;      // convert to INT
	MOVF        _temperature+0, 0 
	MOVWF       R0 
	MOVF        _temperature+1, 0 
	MOVWF       R1 
	MOVF        _temperature+2, 0 
	MOVWF       R2 
	MOVF        _temperature+3, 0 
	MOVWF       R3 
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	MOVWF       Display_It_i_L0+0 
	MOVF        R1, 0 
	MOVWF       Display_It_i_L0+1 
;DS18B20_Get_ID.c,100 :: 		IntToStr(i, txt);
	MOVF        R0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       Display_It_txt_L0+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(Display_It_txt_L0+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;DS18B20_Get_ID.c,101 :: 		Lcd_Out(1, 4, txt);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       Display_It_txt_L0+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(Display_It_txt_L0+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;DS18B20_Get_ID.c,102 :: 		Lcd_Out(1, 1, "Temp:");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_DS18B20_Get_ID+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_DS18B20_Get_ID+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;DS18B20_Get_ID.c,103 :: 		for(i=0; i<8; i++){ByteToHex(SlaveROM[i],tmp); Lcd_Out(2, 15-2*i, tmp);}
	CLRF        Display_It_i_L0+0 
	CLRF        Display_It_i_L0+1 
L_Display_It16:
	MOVLW       128
	XORWF       Display_It_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_It33
	MOVLW       8
	SUBWF       Display_It_i_L0+0, 0 
L__Display_It33:
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_It17
	MOVLW       _SlaveROM+0
	ADDWF       Display_It_i_L0+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_SlaveROM+0)
	ADDWFC      Display_It_i_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_ByteToHex_input+0 
	MOVLW       Display_It_tmp_L0+0
	MOVWF       FARG_ByteToHex_output+0 
	MOVLW       hi_addr(Display_It_tmp_L0+0)
	MOVWF       FARG_ByteToHex_output+1 
	CALL        _ByteToHex+0, 0
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVF        Display_It_i_L0+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	SUBLW       15
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       Display_It_tmp_L0+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(Display_It_tmp_L0+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	INFSNZ      Display_It_i_L0+0, 1 
	INCF        Display_It_i_L0+1, 1 
	GOTO        L_Display_It16
L_Display_It17:
;DS18B20_Get_ID.c,104 :: 		Delay_500();
	CALL        _Delay_500+0, 0
;DS18B20_Get_ID.c,105 :: 		}
L_end_Display_It:
	RETURN      0
; end of _Display_It

_main:

;DS18B20_Get_ID.c,110 :: 		void main(){
;DS18B20_Get_ID.c,111 :: 		INTCON = 0;       // turn off all interrupts
	CLRF        INTCON+0 
;DS18B20_Get_ID.c,112 :: 		ADCON0 = 0;       // Turn off analog to digital converters
	CLRF        ADCON0+0 
;DS18B20_Get_ID.c,113 :: 		ANSELA = 0;       // Configure all ports as digital
	CLRF        ANSELA+0 
;DS18B20_Get_ID.c,114 :: 		ANSELB = 0;
	CLRF        ANSELB+0 
;DS18B20_Get_ID.c,115 :: 		ANSELC = 0;
	CLRF        ANSELC+0 
;DS18B20_Get_ID.c,116 :: 		ANSELD = 0;
	CLRF        ANSELD+0 
;DS18B20_Get_ID.c,117 :: 		ANSELE = 0;
	CLRF        ANSELE+0 
;DS18B20_Get_ID.c,125 :: 		LATD     = 0;
	CLRF        LATD+0 
;DS18B20_Get_ID.c,126 :: 		TRISD    = 0xff;
	MOVLW       255
	MOVWF       TRISD+0 
;DS18B20_Get_ID.c,127 :: 		LATE     = 0;
	CLRF        LATE+0 
;DS18B20_Get_ID.c,128 :: 		TRISE    = 4;
	MOVLW       4
	MOVWF       TRISE+0 
;DS18B20_Get_ID.c,130 :: 		getDS18B20(); while(temperature == 185) getDS18B20();
	CALL        _getDS18B20+0, 0
L_main19:
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       57
	MOVWF       R6 
	MOVLW       134
	MOVWF       R7 
	MOVF        _temperature+0, 0 
	MOVWF       R0 
	MOVF        _temperature+1, 0 
	MOVWF       R1 
	MOVF        _temperature+2, 0 
	MOVWF       R2 
	MOVF        _temperature+3, 0 
	MOVWF       R3 
	CALL        _Equals_Double+0, 0
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main20
	CALL        _getDS18B20+0, 0
	GOTO        L_main19
L_main20:
;DS18B20_Get_ID.c,131 :: 		Lcd_Init();                              // Initialize LCD
	CALL        _Lcd_Init+0, 0
;DS18B20_Get_ID.c,132 :: 		Delay_10();
	CALL        _Delay_10+0, 0
;DS18B20_Get_ID.c,133 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;DS18B20_Get_ID.c,134 :: 		Delay_10();
	CALL        _Delay_10+0, 0
;DS18B20_Get_ID.c,135 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;DS18B20_Get_ID.c,136 :: 		Delay_10();
	CALL        _Delay_10+0, 0
;DS18B20_Get_ID.c,138 :: 		getSlaveROM();
	CALL        _getSlaveROM+0, 0
;DS18B20_Get_ID.c,139 :: 		do {
L_main21:
;DS18B20_Get_ID.c,140 :: 		getDS18B20();
	CALL        _getDS18B20+0, 0
;DS18B20_Get_ID.c,141 :: 		Display_It();
	CALL        _Display_It+0, 0
;DS18B20_Get_ID.c,142 :: 		}while(1);
	GOTO        L_main21
;DS18B20_Get_ID.c,143 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
